Skip to main content
`Ctrl`+`K`

# DMMoabGetDofsBlocked

Gets the global degree-of-freedom for the first field (component) defined on an array of MOAB EntityHandles. It is useful when performing Blocked(Get/Set) methods in computation of element residuals and assembly of the discrete systems when all fields are co-located.

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetDofsBlocked(DM dm, PetscInt npoints, const moab::EntityHandle *points, PetscInt *dof)

Not Collective

## Input Parameters

- dm - the discretization manager object

- npoints - the total number of Entities in the points array

- points - the MOAB EntityHandle container array which holds the field degree-of-freedom values

## Output Parameter

- dof - the blocked global degree-of-freedom index array in the discrete representation (Vec, Mat)

## See Also

`DMMoabGetDofsLocal()`, `DMMoabGetDofs()`, `DMMoabGetDofsBlockedLocal()`

## Level

intermediate

## Location

src/dm/impls/moab/dmmbfield.cxx

## Examples

src/ts/tutorials/ex35.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages